
//=================================================================
//--这里是每页都要用到的 javascript
//=================================================================

//*********************************************************************
//**常用javascript函数，用来设置cookie
//*********************************************************************
function SetCookie(name, value, path, expire) 
{
	document.cookie = name + "=" + escape(value) + ((path == "") ? "" : ("; path=" + escape(path))) + ((expire == null) ? "" : ("; expires=" + expire.toGMTString()));
}

//*********************************************************************
//**常用javascript函数，用来取cookie的值
//*********************************************************************
function GetCookie(name)
{
	var cname = name + "=";               
	var dc = document.cookie;         
	    
	if (dc.length > 0)
	{              
		begin = dc.indexOf(cname);       
        if (begin != -1)
        {           
			begin += cname.length;       
			end = dc.indexOf(";", begin);
            if (end == -1) end = dc.length;
            return unescape(dc.substring(begin, end));
		}
	}
	return null;
}

//*********************************************************************
//**常规 SetCookie （Path 固定用 "/", expire 用天数）
//*********************************************************************
function CommonSetCookie(name, value, days)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var ckToday = new Date(); 
	var ckExpires = new Date(); 
	
	//------------------------------
	//--Cookie 保存 days
	//------------------------------
	ckExpires.setTime(ckToday.getTime() + 1000*60*60*24*days);
	
	//------------------------------
	//--开始写 Cookie
	//------------------------------
	SetCookie(name,value,"/",ckExpires);
}

//*********************************************************************
//**该 js 函数在每页的页首执行，将当前页的文化设置写到 cookie 以便下次再访问本站的时候自动定位到这种文化
//*********************************************************************
function CultureSetCookie(Culture)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var ckToday = new Date(); 
	var ckExpires = new Date(); 
	
	//------------------------------
	//--Cookie 保存 1 年
	//------------------------------
	ckExpires.setTime(ckToday.getTime() + 1000*60*60*24*365);
	
	//------------------------------
	//--开始写 Cookie
	//------------------------------
	SetCookie("Culture",Culture,"/",ckExpires);
}

//*********************************************************************
//**点击了 PageMenuHide / PageMenuShow 按纽后，将 PageMenuHide 参数写到 Cookie，然后重新刷新页面，以便达到隐藏/显示 Page Menu 部分
//**参数 Hide - "true"/"false"  将 "true" / "false" 写入 cookie
//**参数 Refresh - true/false， 根据这个 bool 值，决定是否刷新页面
//*********************************************************************
/*
function PageMenuHide(Hide,Refresh)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var ckToday = new Date(); 
	var ckExpires = new Date(); 
	
	//------------------------------
	//--Cookie 保存 1 年
	//------------------------------
	ckExpires.setTime(ckToday.getTime() + 1000*60*60*24*365);
	
	//------------------------------
	//--开始写 Cookie
	//------------------------------
	SetCookie("PageMenuHide",Hide,"/",ckExpires);
	
	//------------------------------
	//--当前页刷新
	//------------------------------
	if (Refresh==true)
	{
		window.location.reload(true);
	}
}
*/

//*********************************************************************
//**点击了 PrintFriendly 按纽后，将 PrintFriendly 参数写到 Cookie，然后重新刷新页面，以便达到使用打印友好模式显示页面的效果
//**参数 PrintFriendly - "true"/"false"  将 "true" / "false" 写入 cookie
//**参数 Refresh - true/false， 根据这个 bool 值，决定是否刷新页面
//*********************************************************************
function OpenPrintFriendly()
{
	//------------------------------
	//--获得当前页面地址，在地址后面加 PrintFreindly=true QS
	//------------------------------
	var Url=document.URL;	
	
	//------------------------------
	//--如果 Url 中包含 #Bookmark 部分，则取出来，在加了 PrintFriendly=true 以后，再将 #Bookmark 追加上
	//------------------------------
	var PureUrl=Url;
	var Bookmark="";
	
	if (Url.indexOf("#")!=-1)
	{
		var Array=Url.split("#");
		
		PureUrl=Array[0].replace(/^\s*/,"").replace(/\s*$/,"");	
		Bookmark=Array[1].replace(/^\s*/,"").replace(/\s*$/,"");		
	}	
	
	//------------------------------
	//--要检查该地址后面是否已经有了别的 QS （标志为地址中存在 ? 标志），如果已经有了，则我们用 “&”引领 PrintFriendly，否则用 “？”
	//------------------------------
	if (PureUrl.indexOf("?")==-1)
	{
		Url=PureUrl+"?PrintFriendly=true"
	}
	else
	{
		//------------------------------
		//--如果已经存在 QS，则检查一下 QS 中是否已经有 PrintFriendly 参数了，如果已经有了，则替换，否则，添加
		//------------------------------
		var oRegex=/PrintFriendly\=[a-zA-Z0-9]+/i;
		
		if (PureUrl.match(oRegex)!=null)
		{
			Url=PureUrl.replace(oRegex,"PrintFriendly=true");
		}
		else
		{
			Url=PureUrl+"&PrintFriendly=true"
		}
	}	
	
	//------------------------------
	//--如果存在 Bookmark 则加上
	//------------------------------
	if (Bookmark.length>0)
	{
		Url=Url + "#" + Bookmark;
	}
	
	//------------------------------
	//--打开新窗口，显示 PrintFriendly 页
	//------------------------------
	window.open(Url,"_blank","width=800,height=600,location=yes,menubar=yes,resizable=yes,scrollbars=yes,status=yes,titlebar=yes,toolbar=yes");	
}

//*********************************************************************
//**作用是，将给定的 ActiveMainMenuName 写到 Cookie
//*********************************************************************
function ActiveMainMenuNameSetCookie(ActiveMainMenuName)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var ckToday = new Date(); 
	var ckExpires = new Date(); 
	
	//------------------------------
	//--Cookie 保存 1 天
	//------------------------------
	ckExpires.setTime(ckToday.getTime() + 1000*60*60*24*1);
	
	//------------------------------
	//--开始写 Cookie
	//------------------------------
	SetCookie("LastActiveMainMenuName",ActiveMainMenuName,"/",ckExpires);
}

//*********************************************************************
//**对于 Tech 风格导航菜单，鼠标在主菜单容器（以及子菜单容器总）移动时候的一些效果
//**鼠标在主菜单项目上面移动的时候，主菜单项目加亮，同时，打开子菜单
//**鼠标离开主菜单项目，主菜单项目恢复原状，同时，关闭子菜单
//*********************************************************************
function MainMenuMouseHoverTech(MainMenuName,MouseOnOff,MainMenuIconExists)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var MainMenuIconName="imgMainMenu" + MainMenuName;
	var ActiveMainMenuIconBufName="ActiveMainMenuIconBuf" + MainMenuName;
	var InActiveMainMenuIconBufName="InActiveMainMenuIconBuf" + MainMenuName;
	var MainMenuObjectName="divMainMenu" + MainMenuName;
	var SubMenuContainerObjectName="divSubMenuContainer" + MainMenuName;

	//------------------------------
	//--首先调用 ImageMouseHover 对当前主菜单的图标进行更换
	//------------------------------
	if (MainMenuIconExists==true)
	{
		ImageMouseHover(MainMenuIconName,ActiveMainMenuIconBufName,InActiveMainMenuIconBufName,MouseOnOff);
	}
	
	//------------------------------
	//--获得当前主菜单条目的容器，以及当前主菜单的子菜单容器
	//------------------------------
	var oMainMenu = document.getElementById(MainMenuObjectName);
	var oSubMenuContainer = document.getElementById(SubMenuContainerObjectName);
	
	//------------------------------
	//--关闭/打开子菜单容器 （同时对主菜单实行效果）
	//------------------------------
	if (MouseOnOff==0)
	{
		//------------------------------
		//--主菜单非 Active （使用 eval）
		//------------------------------
		eval(MainMenuName + "SetInactive()");
		
		//------------------------------
		//--关闭子菜单容器
		//------------------------------
		oSubMenuContainer.style.display="none";
	}
	else
	{	
		//------------------------------
		//--主菜单 Active （使用 eval）
		//------------------------------
		eval(MainMenuName + "SetActive()");
		
		//------------------------------
		//--打开子菜单容器
		//------------------------------
		oSubMenuContainer.style.left=FindAbsolutePositionX(oMainMenu);
		oSubMenuContainer.style.top=FindAbsolutePositionY(oMainMenu) + oMainMenu.clientHeight;
		oSubMenuContainer.style.display="block";		
	}
}

//*********************************************************************
//**对于 Traditional 风格导航菜单，鼠标在主菜单容器移动时候的一些效果
//*********************************************************************
function MainMenuMouseHoverTraditional(MainMenuName,MouseOnOff,MainMenuActive,Main_Menu_Status)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var MainMenuIconName="imgMainMenu" + MainMenuName;
	var ActiveMainMenuIconBufName="ActiveMainMenuIconBuf" + MainMenuName;
	var InActiveMainMenuIconBufName="InActiveMainMenuIconBuf" + MainMenuName;		
	
	var MainMenuToolModifyName="imgMainMenuToolModify" + MainMenuName;
	var MainMenuToolHideName="imgMainMenuToolHide" + MainMenuName;
	var MainMenuToolShowName="imgMainMenuToolShow" + MainMenuName;	
	var MainMenuToolOrderUpName="imgMainMenuToolOrderUp" + MainMenuName;
	var MainMenuToolOrderDownName="imgMainMenuToolOrderDown" + MainMenuName;
	var MainMenuToolDeleteName="imgMainMenuToolDelete" + MainMenuName;
	var MainMenuToolAddName="imgMainMenuToolAdd" + MainMenuName;
	var MainMenuToolAddMoreName="imgMainMenuToolAddMore" + MainMenuName;
	var MainMenuFreeMenuIconName="free_menu_icon_main_" + MainMenuName.toLowerCase();
	
	var InActiveMainMenuToolModifyBufName="InActiveMainMenuToolModifyBuf" ;	
	var InActiveMainMenuToolHideBufName="InActiveMainMenuToolHideBuf" ;
	var InActiveMainMenuToolShowBufName="InActiveMainMenuToolShowBuf" ;
	var InActiveMainMenuToolOrderUpBufName="InActiveMainMenuToolOrderUpBuf" ;
	var InActiveMainMenuToolOrderDownBufName="InActiveMainMenuToolOrderDownBuf" ;
	var InActiveMainMenuToolDeleteBufName="InActiveMainMenuToolDeleteBuf";
	var InActiveMainMenuToolAddBufName="InActiveMainMenuToolAddBuf";
	
	var InActiveMainMenuFreeMenuIconBufName="InActiveMainMenuFreeMenuIconBuf";
	var InActiveMainMenuFreeMenuIconHiddenBufName="InActiveMainMenuFreeMenuIconHiddenBuf";
	var InActiveMainMenuFreeMenuIconHomeBufName="InActiveMainMenuFreeMenuIconHomeBuf";
	var InActiveMainMenuFreeMenuIconHomeHiddenBufName="InActiveMainMenuFreeMenuIconHomeHiddenBuf";
	
	var ActiveMainMenuToolModifyBufName="ActiveMainMenuToolModifyBuf";
	var ActiveMainMenuToolHideBufName="ActiveMainMenuToolHideBuf";
	var ActiveMainMenuToolShowBufName="ActiveMainMenuToolShowBuf";
	var ActiveMainMenuToolOrderUpBufName="ActiveMainMenuToolOrderUpBuf";
	var ActiveMainMenuToolOrderDownBufName="ActiveMainMenuToolOrderDownBuf";
	var ActiveMainMenuToolDeleteBufName="ActiveMainMenuToolDeleteBuf";
	var ActiveMainMenuToolAddBufName="ActiveMainMenuToolAddBuf";
	
	var ActiveMainMenuFreeMenuIconBufName="ActiveMainMenuFreeMenuIconBuf";
	var ActiveMainMenuFreeMenuIconHiddenBufName="ActiveMainMenuFreeMenuIconHiddenBuf";
	var ActiveMainMenuFreeMenuIconHomeBufName="ActiveMainMenuFreeMenuIconHomeBuf";
	var ActiveMainMenuFreeMenuIconHomeHiddenBufName="ActiveMainMenuFreeMenuIconHomeHiddenBuf";
	
	var MainMenuTitleName="aMainMenu" + MainMenuName;
	var MainMenuContainerName="tableMainMenu" + MainMenuName;

	//------------------------------
	//--菜单图标 on / off 效果
	//------------------------------
	ImageMouseHover(MainMenuIconName,ActiveMainMenuIconBufName,InActiveMainMenuIconBufName,MouseOnOff);

	//------------------------------
	//--菜单工具 on / off 效果
	//------------------------------
	ImageMouseHover(MainMenuToolModifyName,ActiveMainMenuToolModifyBufName,InActiveMainMenuToolModifyBufName,MouseOnOff);
	ImageMouseHover(MainMenuToolHideName,ActiveMainMenuToolHideBufName,InActiveMainMenuToolHideBufName,MouseOnOff);
	ImageMouseHover(MainMenuToolShowName,ActiveMainMenuToolShowBufName,InActiveMainMenuToolShowBufName,MouseOnOff);	
	ImageMouseHover(MainMenuToolOrderUpName,ActiveMainMenuToolOrderUpBufName,InActiveMainMenuToolOrderUpBufName,MouseOnOff);
	ImageMouseHover(MainMenuToolOrderDownName,ActiveMainMenuToolOrderDownBufName,InActiveMainMenuToolOrderDownBufName,MouseOnOff);	
	ImageMouseHover(MainMenuToolDeleteName,ActiveMainMenuToolDeleteBufName,InActiveMainMenuToolDeleteBufName,MouseOnOff);
	ImageMouseHover(MainMenuToolAddName,ActiveMainMenuToolAddBufName,InActiveMainMenuToolAddBufName,MouseOnOff);
	ImageMouseHover(MainMenuToolAddMoreName,ActiveMainMenuToolAddBufName,InActiveMainMenuToolAddBufName,MouseOnOff);
	
	if (Main_Menu_Status==1)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconBufName,InActiveMainMenuFreeMenuIconBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==2)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHiddenBufName,InActiveMainMenuFreeMenuIconHiddenBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==3)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHomeBufName,InActiveMainMenuFreeMenuIconHomeBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==4)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHomeHiddenBufName,InActiveMainMenuFreeMenuIconHomeHiddenBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==5)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconBufName,ActiveMainMenuFreeMenuIconBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==6)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHiddenBufName,ActiveMainMenuFreeMenuIconHiddenBufName,MouseOnOff);
	}
	else if (Main_Menu_Status==7)
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHomeBufName,ActiveMainMenuFreeMenuIconHomeBufName,MouseOnOff);
	}
	else
	{
		ImageMouseHover(MainMenuFreeMenuIconName,ActiveMainMenuFreeMenuIconHomeHiddenBufName,ActiveMainMenuFreeMenuIconHomeHiddenBufName,MouseOnOff);
	}


	//------------------------------
	//--菜单 title 和容器的 on / off 效果
	//------------------------------
	if (MouseOnOff==1)
	{
		if (document.getElementById(MainMenuTitleName)!=null)
		{
			document.getElementById(MainMenuTitleName).className="MainMenuHover";
		}
		
		if (document.getElementById(MainMenuContainerName)!=null)
		{
			document.getElementById(MainMenuContainerName).className="MainMenuHoverTraditional";
		}
	}
	else
	{
		if (MainMenuActive==false)
		{
			if (document.getElementById(MainMenuTitleName)!=null)
			{
				document.getElementById(MainMenuTitleName).className="MainMenu";
			}
			
			if (document.getElementById(MainMenuContainerName)!=null)
			{
				document.getElementById(MainMenuContainerName).className="MainMenuTraditional";
			}
		}
		else
		{
			if (document.getElementById(MainMenuTitleName)!=null)
			{
				document.getElementById(MainMenuTitleName).className="MainMenu";
			}
			
			if (document.getElementById(MainMenuContainerName)!=null)
			{
				document.getElementById(MainMenuContainerName).className="MainMenuActiveTraditional";
			}		
		}
	}
}

//*********************************************************************
//**对于 Tab 风格导航菜单，鼠标在主菜单容器移动时候的一些效果
//*********************************************************************
function MainMenuMouseHoverTab(MainMenuName,MouseOnOff,MainMenuIconExists)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var MainMenuIconName="imgMainMenu" + MainMenuName;
	var ActiveMainMenuIconBufName="ActiveMainMenuIconBuf" + MainMenuName;
	var InActiveMainMenuIconBufName="InActiveMainMenuIconBuf" + MainMenuName;		
	var MainMenuContainerName="spanMainMenuContainer" + MainMenuName;

	//------------------------------
	//--首先调用 ImageMouseHover 对当前主菜单的图标进行更换
	//------------------------------
	if (MainMenuIconExists==true)
	{
		ImageMouseHover(MainMenuIconName,ActiveMainMenuIconBufName,InActiveMainMenuIconBufName,MouseOnOff);
	}
}

//*********************************************************************
//**鼠标在系统子菜单项目上面移动的时候，该菜单的“修改/删除/添加页面菜单”命令容器打开，鼠标离开后，关闭
//*********************************************************************
function SystemMenuMouseHover(SubMenuName,MouseOnOff)
{
	//------------------------------
	//--临时变量
	//------------------------------
	var SystemMenuObjectName="divSystemMenu" + SubMenuName;
	var SystemMenuToolContainerObjectName="divSystemMenuToolContainer" + SubMenuName;

	//------------------------------
	//--获得命令容器对象
	//------------------------------
	var oSystemMenu = document.getElementById(SystemMenuObjectName);
	var oSystemMenuToolContainer = document.getElementById(SystemMenuToolContainerObjectName);

	//------------------------------
	//--根据 On / Off 参数，决定命令容器打开或关闭
	//------------------------------	
	if (MouseOnOff==0)
	{
		oSystemMenuToolContainer.style.display="none";
	}
	else
	{	
		oSystemMenuToolContainer.style.left=FindAbsolutePositionX(oSystemMenu);
		oSystemMenuToolContainer.style.top=FindAbsolutePositionY(oSystemMenu) + oSystemMenu.clientHeight;
		oSystemMenuToolContainer.style.display="block";		
	}
}

//*********************************************************************
//**帮助函数 （用于 MainMenuMouseHoverTech）
//**给定一个对象，获得该对象最终的绝对 X 位置 （我们不断寻找该对象的 offsetParent 对象，将所有 offsetParent 对象的 offsetLeft 累加）
//*********************************************************************
function FindAbsolutePositionX(object)
{
	//------------------------------
	//--初始化变量
	//------------------------------
	var PositionX = 0;
	
	//------------------------------
	//--如果给定对象的 offsetParent 存在，则累加其所有 offsetParent 中对象的 offetLeft
	//------------------------------
	if (object.offsetParent)
	{
		//------------------------------
		//--模拟递归效果，累加所有 offsetParent 的 offsetLeft
		//------------------------------
		while (object.offsetParent)
		{	
			//------------------------------
			//--累加
			//------------------------------
			PositionX += object.offsetLeft;

			//------------------------------
			//--模拟递归
			//------------------------------
			object = object.offsetParent;
		}
	}
	else if (object.x)
	{
		//------------------------------
		//--如果给定对象没有上级 offsetParent ，则看看该对象有没有 x 属性，如果有，加上，没有，则自然返回 0 了
		//------------------------------
		PositionX += object.x;
	}
	
	//------------------------------
	//--返回最终结果
	//------------------------------
	return PositionX ;
}

//*********************************************************************
//**帮助函数 （用于 MainMenuMouseHoverTech）
//**给定一个对象，获得该对象最终的绝对 Y 位置 （我们不断寻找该对象的 offsetParent 对象，将所有 offsetParent 对象的 offsetTop 累加）
//*********************************************************************
function FindAbsolutePositionY(object)
{
	//------------------------------
	//--初始化变量
	//------------------------------
	var PositionY = 0;
		
	//------------------------------
	//--如果给定对象的 offsetParent 存在，则累加其所有 offsetParent 中对象的 offetTop
	//------------------------------
	if (object.offsetParent)
	{
		//------------------------------
		//--模拟递归效果，累加所有 offsetParent 的 offsetTop
		//------------------------------
		while (object.offsetParent)
		{
			//------------------------------
			//--累加
			//------------------------------
			PositionY += object.offsetTop;

			//------------------------------
			//--模拟递归
			//------------------------------
			object = object.offsetParent;
		}
	}
	else if (object.y)
	{
		//------------------------------
		//--如果给定对象没有上级 offsetParent ，则看看该对象有没有 x 属性，如果有，加上，没有，则自然返回 0 了
		//------------------------------
		PositionY += object.Y;
	}
	
	//------------------------------
	//--返回最终结果
	//------------------------------
	return PositionY ;
}

//*********************************************************************
//**这个函数，根据 MouseOnOff 参数， (On --1 , Off --0),将给定的图片对象 imgObjectName 的 src 设定为相应图片 （加深/暗淡） （使用 Buf 图片进行更换）
//*********************************************************************
function ImageMouseHover(imgObjectName,imgMouseOnObjectName,imgMouseOffObjectName,MouseOnOff)
{
	//------------------------------
	//--变量
	//------------------------------
	var imgObject;
	var imgMouseOnObject;
	var imgMouseOffObject;
	
	//------------------------------
	//--图片对象，加深图片对象，暗淡图片对象
	//------------------------------
	imgObject=document.getElementById(imgObjectName);
	imgMouseOnObject=document.getElementById(imgMouseOnObjectName);
	imgMouseOffObject=document.getElementById(imgMouseOffObjectName);
	
	//------------------------------
	//--执行
	//------------------------------
	if (MouseOnOff==0)
	{
		if (imgObject!=null && imgMouseOffObject!=null)
		{
			imgObject.src=imgMouseOffObject.src;
		}
	} 
	else 
	{
		if (imgObject!=null && imgMouseOnObject!=null)
		{
			imgObject.src=imgMouseOnObject.src;
		}
	}
}

//*********************************************************************
//**这个函数，用来截掉字符串开始和结尾的空格
//*********************************************************************
function Trim(InputString)
{
	return InputString.replace(/^\s*/,"").replace(/\s*$/,"");
}


//*********************************************************************
//**这个函数，用来将给定 PortalRoundCornerGrid （Tab） 设置为 Hover 状态
//**Class - 当前 Tab 使用的 Class
//**Name - 当前 Tab 的名字
//**Identity - 当前 Tab 对应的 PortalTab 总部件的名字
//*********************************************************************
function TabHover(Class,Name,Identity)
{
	//-----------------------------------
	//--获得 PortalTab<Identity> 中用来缓存所有 Tab 名字的隐藏部件 ( hiddenTabs<Identity> )
	//--获得 PortalTab<Identity> 中用来缓存活动 Tab 名字的隐藏部件 ( hiddenActiveTab<Identity> )
	//-----------------------------------
	var oHiddenTabs=document.getElementById("hiddenTabs" + Identity)
	var oHiddenActiveTab=document.getElementById("hiddenActiveTab" + Identity)
	
	//-----------------------------------
	//--将 Identity 下的 Active Name 写入 Cookie
	//-----------------------------------
	var ckToday = new Date(); 
	var ckExpires = new Date(); 
	ckExpires.setTime(ckToday.getTime() + 1000*60*60*24*1);
	SetCookie(Identity,Name,"/",ckExpires);
	
	//-----------------------------------
	//--将 PortalTab<Identity> 中所有 Tab 首先关闭（我们在后面再专门打开活动的 Tab）
	//-----------------------------------
	var aTabs=oHiddenTabs.value.split(",");
	
	for (var i = 0; i < aTabs.length; i++) 
	{
		if (aTabs[i].length>0)
		{
			//-----------------------------------
			//--获得当前 divTabContent<Name> 并关闭之
			//-----------------------------------
			var oTabContentDiv=document.getElementById("divTabContent" + aTabs[i]);			
			oTabContentDiv.style.display="none";

			//-----------------------------------
			//--将所有 Tab 的式样设置为非 Hover
			//-----------------------------------
			RcgUnHover(Class,aTabs[i]);
		}	
	}

	//-----------------------------------
	//--将活动的 Tab 打开
	//-----------------------------------
	var oTabContentDiv=document.getElementById("divTabContent" + Name);	
	oTabContentDiv.style.display="block";	
	
	//-----------------------------------
	//--将活动的 Tab 式样设置为 Hover
	//-----------------------------------
	RcgHover(Class,Name);
}

//*********************************************************************
//**这个函数，用来将给定 PortalRoundCornerGrid （Tab） 设置为 Hover 状态
//*********************************************************************
function RcgHover(Class,Name)
{
	var oTd1=document.getElementById("Rcg" + Name + "Td1");
	var oTd2=document.getElementById("Rcg" + Name + "Td2");
	var oTd3=document.getElementById("Rcg" + Name + "Td3");
	var oTd4=document.getElementById("Rcg" + Name + "Td4");
	var oTd5=document.getElementById("Rcg" + Name + "Td5");
	var oTd6=document.getElementById("Rcg" + Name + "Td6");
	var oTd7=document.getElementById("Rcg" + Name + "Td7");
	var oTd8=document.getElementById("Rcg" + Name + "Td8");
	var oTd9=document.getElementById("Rcg" + Name + "Td9");
	

	oTd1.className = "Rcg" + Class + "Td1Hover Rcg";
	oTd2.className = "Rcg" + Class + "Td2Hover Rcg";
	oTd3.className = "Rcg" + Class + "Td3Hover Rcg";
	oTd4.className = "Rcg" + Class + "Td4Hover Rcg";
	oTd5.className = "Rcg" + Class + "Td5Hover";
	oTd6.className = "Rcg" + Class + "Td6Hover Rcg";
	oTd7.className = "Rcg" + Class + "Td7Hover Rcg";
	oTd8.className = "Rcg" + Class + "Td8Hover Rcg";
	oTd9.className = "Rcg" + Class + "Td9Hover Rcg";
}

//*********************************************************************
//**这个函数，用来将给定 PortalRoundCornerGrid（Tab） 设置为非 Hover 状态
//*********************************************************************
function RcgUnHover(Class,Name)
{
	var oTd1=document.getElementById("Rcg" + Name + "Td1");
	var oTd2=document.getElementById("Rcg" + Name + "Td2");
	var oTd3=document.getElementById("Rcg" + Name + "Td3");
	var oTd4=document.getElementById("Rcg" + Name + "Td4");
	var oTd5=document.getElementById("Rcg" + Name + "Td5");
	var oTd6=document.getElementById("Rcg" + Name + "Td6");
	var oTd7=document.getElementById("Rcg" + Name + "Td7");
	var oTd8=document.getElementById("Rcg" + Name + "Td8");
	var oTd9=document.getElementById("Rcg" + Name + "Td9");

	oTd1.className = "Rcg" + Class + "Td1 Rcg";
	oTd2.className = "Rcg" + Class + "Td2 Rcg";
	oTd3.className = "Rcg" + Class + "Td3 Rcg";
	oTd4.className = "Rcg" + Class + "Td4 Rcg";
	oTd5.className = "Rcg" + Class + "Td5";
	oTd6.className = "Rcg" + Class + "Td6 Rcg";
	oTd7.className = "Rcg" + Class + "Td7 Rcg";
	oTd8.className = "Rcg" + Class + "Td8 Rcg";
	oTd9.className = "Rcg" + Class + "Td9 Rcg";
}

//*********************************************************************
//==必须至少有一个 Radio Button 被选中
//*********************************************************************
function RadioValidate(RadioName)
{
	//-------------------------
	//--结果变量
	//-------------------------
	var Result=false;

	//-------------------------
	//--获得所有 Radio （数组）
	//-------------------------
	var aRadio=document.getElementsByName(RadioName);
	
	//-------------------------
	//--遍历，看看是否有选中的
	//-------------------------
	for (var i=0; i<=aRadio.length-1; i++)
	{
		if (aRadio[i].checked==true)
		{
			Result=true;
			break;			
		}
	}
	
	//-------------------------
	//--如果没有任何 radio 被选中，则警告
	//-------------------------
	if (Result==false)
	{
		//alert("No item selected!");
		document.getElementById("divSelectRadioItem").style.display="block";
		window.location.href="#aSelectRadioItem";
		return false;
	}
	else
	{
		return true;
	}
}


//==========================================================
//==设置 Container 透明度（以便渐入渐出）
//==========================================================
function ContainerSetOpacity(ContainerId,OpacityValue,DisplayType)
{
	//-------------------------------
	//--为给定对象设置 opacity css  属性
	//-------------------------------
	var oContainer=document.getElementById(ContainerId);
	
	//-------------------------------
	//--为给定对象设置 opacity css  属性
	//-------------------------------
	if (oContainer!=null)
	{
		oContainer.style.opacity = OpacityValue/10;
		oContainer.style.filter = "alpha(opacity=" + OpacityValue * 10 + ")";
	}
	
	//-------------------------------
	//--如果 OpacityValue>0 则设置 lightbox 显示为 block，否则设置为 none
	//-------------------------------
	if (OpacityValue>0)
	{
		//if (oContainer!=null && oContainer.style.display!="block"){oContainer.style.display="block";}
		if (oContainer!=null)
		{		
			if (oContainer.style.display!=DisplayType)			
			{			
				oContainer.style.display=DisplayType;				
			}
		}
	}
	else
	{
		if (oContainer!=null)
		{
			if (oContainer.style.display!="none")
			{
				oContainer.style.display="none";
			}
		 }
	}
}

//=================================================================
//==对一个对象进行 Fadein 处理
//=================================================================
function ObjectFadein(ObjectID,WaitTime,DisplayType)
{
	//------------------------------------
	//--渐入
	//------------------------------------
	//if (document.getElementById(ObjectID).style.display!="block")
	if (document.getElementById(ObjectID).style.display!=DisplayType)
	{
		for (var i=1; i<=10; i++)
		{
			//setTimeout("ContainerSetOpacity(\"" + ObjectID + "\"," + i + ")",(WaitTime + 50 + 50 * i));
			setTimeout("ContainerSetOpacity(\"" + ObjectID + "\"," + i + ",\"" + DisplayType + "\")",(WaitTime + 50 + 50 * i));
		}	
	}
}

//=================================================================
//==对一个对象进行 Fadeout 处理
//=================================================================
function ObjectFadeout(ObjectID,WaitTime,DisplayType)
{
	//------------------------------------
	//--渐出
	//------------------------------------
	if (document.getElementById(ObjectID).style.display!="none")
	{
		for (var i=1; i<=10; i++)
		{
			//setTimeout("ContainerSetOpacity(\"" + ObjectID + "\"," + (10-i) + ")",(WaitTime + 50 * i));
			setTimeout("ContainerSetOpacity(\"" + ObjectID + "\"," + (10-i) + ",\"" + DisplayType + "\")",(WaitTime + 50 * i));
		}	
	}	
}

//==========================================================
//==设置 BannerLayer 透明度（以便渐入渐出）
//==========================================================
function BannerLayerSetOpacity(CurrentBannerLayer,NextBannerLayer,OpacityValue,BannerLayers,BannerRotatorCounter,WaitTime,BannerLayerIcon,Continue)
{
	//-------------------------------
	//--当前 BannerLayer 及其后继者
	//-------------------------------
	var oCurrentBannerLayer=document.getElementById("BannerLayer" + CurrentBannerLayer);
	var oNextBannerLayer=document.getElementById("BannerLayer" + NextBannerLayer);

	//-------------------------------
	//--为其设置 opacity css  属性
	//-------------------------------
	if (oCurrentBannerLayer!=null && oNextBannerLayer!=null)
	{
		oCurrentBannerLayer.style.opacity = OpacityValue / 20;
		oCurrentBannerLayer.style.filter = "alpha(opacity=" + OpacityValue * 5 + ")";

		oNextBannerLayer.style.opacity = 1-(OpacityValue / 20);
		oNextBannerLayer.style.filter = "alpha(opacity=" + 100-(OpacityValue * 5) + ")";
		
		if (OpacityValue==0){oCurrentBannerLayer.style.display="none";}else{oCurrentBannerLayer.style.display="block";}
		if (OpacityValue==19){oNextBannerLayer.style.display="none";}else{oNextBannerLayer.style.display="block";}
	}	

	//-------------------------------
	//--如果到 Continue 那里 （渐入渐出已经结束），再次调用 BannerRotator
	//-------------------------------
	if (Continue==true)
	{
		BannerRotatorCounter++;
		BannerRotator(BannerLayers,BannerRotatorCounter,WaitTime,BannerLayerIcon);
	}
}

//=================================================================
//==一个全局变量，用来记录 setTimeout 事件以便 clearTimeout 调用
//=================================================================
var BannerRotatorTimer=new Array();

//=================================================================
//==BannerLayer 层渐入渐出
//=================================================================
function BannerRotator(BannerLayers,BannerRotatorCounter,WaitTime,BannerLayerIcon)
{
	//------------------------------------
	//--当前 BannerLayer 及其后继者
	//------------------------------------
	var CurrentBannerLayer=BannerRotatorCounter%BannerLayers;
	
	if (CurrentBannerLayer==0)
	{
		CurrentBannerLayer=BannerLayers;
	}
	
	var NextBannerLayer=CurrentBannerLayer+1;
	
	if (NextBannerLayer>BannerLayers)
	{
		NextBannerLayer=1;
	}

	//------------------------------------
	//--当前 BannerLayer 层的指示图标
	//------------------------------------
	if (BannerLayerIcon==true)
	{
		for (var i=1; i<=BannerLayers; i++)
		{	
			document.getElementById("BannerLayerIcon" + i).className="BannerRotator";
		}
	
		document.getElementById("BannerLayerIcon" + CurrentBannerLayer).className="BannerRotatorHover";
	}

	//------------------------------------
	//--渐入
	//------------------------------------
	for (var i=1; i<=20; i++)
	{
		if (i<20)
		{
			BannerRotatorTimer[i]=setTimeout("BannerLayerSetOpacity(" + CurrentBannerLayer + "," + NextBannerLayer + "," + (20-i) + "," + BannerLayers + "," + BannerRotatorCounter + "," + WaitTime + "," + BannerLayerIcon + ",false)", (WaitTime * 1000 + 25 + 25 * i));
		}
		else
		{
			BannerRotatorTimer[i]=setTimeout("BannerLayerSetOpacity(" + CurrentBannerLayer + "," + NextBannerLayer + "," + (20-i) + "," + BannerLayers + "," + BannerRotatorCounter + "," + WaitTime + "," + BannerLayerIcon + ",true)", (WaitTime * 1000 + 25 + 25 * i));
		}
	}	
}

//=================================================================
//==点击了 BannerLayerIcon 图标后，清楚旧的 setTimeout 事件，开始基于当前页码的新的
//=================================================================
function NewBannerRotator(BannerLayers,BannerRotatorCounter,WaitTime,BannerLayerIcon)
{
	//------------------------------------
	//--清除旧的
	//------------------------------------
	for (var i=1; i<=20; i++)
	{
		if (BannerRotatorTimer[i]!=null)
		{
			clearTimeout(BannerRotatorTimer[i]);
		}
	}
	
	//------------------------------------
	//--当前 BannerLayer 立即显示，所有 PreviousBannerLayer 如果遮挡了 BannerLayer 则令其隐藏
	//------------------------------------
	var CurrentBannerLayer=BannerRotatorCounter;
	var oCurrentBannerLayer=document.getElementById("BannerLayer" + CurrentBannerLayer);
	
	oCurrentBannerLayer.style.opacity = 1;
	oCurrentBannerLayer.style.filter = "alpha(opacity=100)";
	oCurrentBannerLayer.style.display="block";
	
	for (var i=1; i<CurrentBannerLayer; i++)
	{
		var oPreviousBannerLayer=document.getElementById("BannerLayer" + i);
		oPreviousBannerLayer.style.display="none";	
	}

	//------------------------------------
	//--开始新的
	//------------------------------------
	BannerRotator(BannerLayers,BannerRotatorCounter,WaitTime,BannerLayerIcon);	
}

